<?php
if ('comments.php' == basename($_SERVER['SCRIPT_FILENAME'])) {
    die(__('Please do not load this page directly. Thanks!', kopa_get_domain()));
}

// check if post is pwd protected
if ( post_password_required() )
    return;

if (is_singular() && 'open' != get_option('default_comment_status', 'open'))
    return;

if ( have_comments() ) { ?>
<div id="comments">
    <h3 class="comments-title"><?php comments_number(__('No Comment', kopa_get_domain()), __('1 Comment', kopa_get_domain()), __('% Comments', kopa_get_domain())); ?></h3>
    <ul class="comment-list">
        <?php
        wp_list_comments(array(
            'walker' => null,
            'style' => 'ul',
            'callback' => 'kopa_comments_callback',
            'end-callback' => null,
            'type' => 'all'
        ));
        ?>
    </ul>

    <?php
    // whether or not display paginate comments link
    $prev_comments_link = get_previous_comments_link();
    $next_comments_link = get_next_comments_link();

    if ( '' !== $prev_comments_link . $next_comments_link ) { ?>

        <div class="pagination kopa-comment-pagination">
            <?php paginate_comments_links(); ?>
        </div>
        <!-- pagination -->
        <?php } // endif ?>
</div>
<?php } elseif ( ! comments_open() && post_type_supports(get_post_type(), 'comments') ) {
    return;
} // endif

comment_form(kopa_comment_form_args());

/*
 * Comments call back function
 */
function kopa_comments_callback($comment, $args, $depth) {
    $GLOBALS['comment'] = $comment;

    if ( 'pingback' == get_comment_type() || 'trackback' == get_comment_type() ) { ?>

    <li id="comment-<?php comment_ID(); ?>" <?php comment_class( 'comment' ); ?>>
        <article class="comment-body">
            <figure class="pull-left">
                <?php echo get_avatar( $comment, 50 ); ?>
            </figure>
            <div class="comment-content item-right">
                <header class="clearfix">
                    <h4><?php _e( 'Pingback', kopa_get_domain() ); ?></h4>
                    <p class="kopa-metadata"><?php comment_date( get_option( 'date_format' ) ); ?> <?php _e('at', kopa_get_domain()); ?> <?php comment_date(get_option('time_format')); ?></p>
                    <p class="reply-edit">
                        <?php if ( current_user_can( 'moderate_comments' ) ) {
                        edit_comment_link( __( 'Edit', kopa_get_domain() ) );
                    } ?>
                    </p>
                </header>
                <p><a href="<?php if ( get_comment_author_url() ) { echo get_comment_author_url(); }?>" target="_blank" title="<?php _e('Pingback', kopa_get_domain());?>"><?php if ( get_comment_author_url() ) { echo get_comment_author_url(); }?></a></p>
            </div><!--comment-body -->
        </article>
    </li>

    <?php } elseif ( 'comment' == get_comment_type() ) { ?>

    <li id="comment-<?php comment_ID(); ?>" <?php comment_class( 'comment' ); ?>>
        <article class="comment-body">
            <figure class="pull-left">
                <?php if ( get_comment_author_url() ) { ?>
                        <a href="<?php comment_author_url(); ?>">
                    <?php } ?>

                <?php echo get_avatar( $comment->comment_author_email, 50 ); ?>

                <?php if ( get_comment_author_url() ) { ?>
                        </a>
                    <?php } ?>
            </figure>

            <div class="comment-content item-right">
                <header class="clearfix">
                    <h4>
                        <?php if ( get_comment_author_url() ) { ?>
                                <a href="<?php comment_author_url(); ?>">
                            <?php } ?>

                        <?php comment_author(); ?>

                        <?php if ( get_comment_author_url() ) { ?>
                                </a>
                            <?php } ?>
                    </h4>
                    <p class="kopa-metadata"><?php comment_date( get_option( 'date_format' ) ); ?> <?php _e('at', kopa_get_domain()); ?> <?php comment_date(get_option('time_format')); ?></p>
                    <p class="reply-edit">
                        <?php if ( current_user_can( 'moderate_comments' ) ) {
                        edit_comment_link( __( 'Edit', kopa_get_domain() ) );
                    } ?> /
                        <?php comment_reply_link(array_merge($args, array('depth' => $depth, 'max_depth' => $args['max_depth']))); ?>
                    </p>
                </header>
                <div class="entry-content">
                    <?php comment_text(); ?>
                </div>
            </div><!--comment-body -->
        </article>
    </li>

    <?php
    } // endif check comment type
}

function kopa_comment_form_args() {
    global $user_identity;
    $commenter = wp_get_current_commenter();

    $commeter_author = esc_attr($commenter['comment_author']);
    $commenter_author_email = esc_attr($commenter['comment_author_email']);
    $commenter_author_url = esc_attr($commenter['comment_author_url']);

    $fields = array(
        'author' => '<div class="row">
                    <div class="col-lg-5 col-md-5 col-sm-5 col-xs-12">
                    <div class="form-group">
                    <input id="comment_name" name="author" value="'. $commeter_author . '" placeholder="' . __('Name (required)', kopa_get_domain()) . '" type="text">
                    </div>',
        'email' => '<div class="form-group">
                        <input id="comment_email" name="email" value="'. $commenter_author_email . '"  type="email" placeholder="' . __('Email (required)', kopa_get_domain()) .'">
                    </div>',
        'url'   => '<div class="form-group">
                    <input id="comment_url" type="text" name="url" value="' . $commenter_author_url .'" placeholder="' . __('Website', kopa_get_domain()) . '">
                    </div></div>'
    );

    if ( ! is_user_logged_in() ) {
        $comment_field = '<div class="col-lg-7 col-md-7 col-sm-7 col-xs-12">'.
            '<div class="form-group">'.
            '<textarea id="comment_message" name="comment" style="overflow:auto;resize:vertical ;" placeholder="' . __('Your comment (required)', kopa_get_domain()) . '"></textarea>'.
            '</div>'.
            '</div></div>';
    } else {
        $comment_field = '<p class="textarea-block"><textarea id="comment_message" name="comment" style="overflow:auto;resize:vertical ;" placeholder="' . __('Your comment (required)', kopa_get_domain()) . '"></textarea></p><div class="clear"></div>';
    }

    $args = array(
        'fields' => apply_filters('comment_form_default_fields', $fields),
        'comment_field' => $comment_field,
        'comment_notes_before' => '<p class="comment-notes">'.__('Your email address will not be published. Required fields are marked', kopa_get_domain()).' <span>( '.__('required', kopa_get_domain()) . ' )</span></p>',
        'comment_notes_after' => '',
        'id_form' => 'comments-form',
        'id_submit' => 'submit-comment',
        'title_reply' => '<h3 class="comment-reply-title">'.__('LEAVE A REPLY', kopa_get_domain()).'</h3>',
        // 'title_reply_to' => __('Reply to %s', kopa_get_domain()),
        // 'cancel_reply_link' => '<span class="title-text">'.__('Cancel', kopa_get_domain()).'</span>',
        'label_submit' =>__('Post Comment', kopa_get_domain()),
    );

    return $args;
}
