<article id="post-<?php the_ID(); ?>" <?php post_class('single-post-content'); ?>>
    <h1 class="entry-title"><?php the_title(); ?></h1>
    <div class="clearfix">
        <aside class="pull-left">
            <div class="entry-meta">
                <span class="kopa-user"><i class="fa fa-user"></i><?php _e('By ', kopa_get_domain());?><?php the_author_posts_link(); ?></span>
                <?php if ( kopa_get_view_count(get_the_ID()) && kopa_get_option('kopa_theme_options_view_count_status') === 'show') : ?>
                <span><i class="fa fa-eye"></i> <?php echo kopa_get_view_count(get_the_ID()); ?></span>
                <?php endif; ?>

                <?php if (comments_open()) : ?>
                <span><i class="fa fa-comment"></i> <?php comments_popup_link(__('0', kopa_get_domain()), __('1', kopa_get_domain()), __('%', kopa_get_domain())); ?></span>
                <?php endif; ?>
            </div>
            <!-- entry meta -->
            <div class="clearfix">
                <?php
                $category = get_the_category( get_the_ID() );
                ?>
                <h4 class="post-cat"><a href="<?php echo get_category_link( $category[0]->term_id ); ?>"><?php echo $category[0]->cat_name; ?></a></h4>
                <span class="kopa-date"><?php the_time(get_option('date_format')); ?></span>
            </div>

            <?php kopa_social_sharing_links(); ?>

            <?php the_tags( '<div class="tags-link"><span>' . __( 'Tags: ', kopa_get_domain() ) . ' </span>', ', ', '</div>' ); ?>

        </aside>
        <div class="item-right article-content">
            <?php
            $audio = kopa_content_get_audio( get_the_content() );
            $displayed_audio = false;
            if ( isset( $audio[0] ) ) {

                $audio = $audio[0];
                if ( isset( $audio['shortcode'] ) ) { ?>
                    <div class="post-thumb">
                        <?php echo do_shortcode( $audio['shortcode'] ); ?>
                    </div>
                    <?php
                    $displayed_audio = true;
                }
            } elseif ( has_post_thumbnail() && kopa_get_option('kopa_theme_options_thumbnail_image', 'show') == 'show' ){?>
                <div class="post-thumb">
                    <?php the_post_thumbnail('large'); ?>
                </div>
                <?php }
            ?>

            <div class="entry-content">
                <?php
                $content = get_the_content();
                $content = preg_replace( '/\[audio.*](.*\[\/audio]){0,1}/', '', $content );
                $content = preg_replace( '/\[soundcloud.*].*\[\/soundcloud]/', '', $content );
                $content = apply_filters( 'the_content', $content );
                $content = str_replace(']]>', ']]&gt;', $content);
                $content = str_replace('<p>&nbsp;</p>', '', $content);
                echo $content;
                ?>
            </div>
            <!-- entry-content -->

            <?php
            $args = array(
                'before'           => '<div class="kopa-post-pagination"><span>' . __( 'Pages:&nbsp; &nbsp;', kopa_get_domain() ) . '</span><span class="page-container">',
                'after'            => '</span></div>',
                'link_before'      => '',
                'link_after'       => '',
                'next_or_number'   => 'number',
                'separator'        => ' ',
                'nextpagelink'     => __( 'Next page', kopa_get_domain() ),
                'previouspagelink' => __( 'Previous page', kopa_get_domain() ),
                'pagelink'         => '%',
                'echo'             => 1
            );
            wp_link_pages($args);
            ?><!-- pagination in post -->
        </div>
        <!-- item right -->
    </div>
    <!-- clearfix -->
</article>

<?php kopa_about_author(); ?>
<!-- kopa author -->

<?php kopa_get_next_previous(); ?>
<!-- kopa navigation -->