<?php

$kopa_layout = array(
    'blog-1' => array(
        'title'      => __( 'Blog 1', kopa_get_domain() ),
        'thumbnails' => 'blog-1.png',
        'positions'  => array(
            'position_1',
            'position_2',
            'position_3',
            'position_4',
            'position_5'
        ),
    ),
    'media-page' => array(
        'title'      => __( 'Media Page', kopa_get_domain() ),
        'thumbnails' => 'media-page.png',
        'positions'  => array(
            'position_7',
            'position_8',
            'position_9',
            'position_2',
            'position_3',
            'position_4',
            'position_5'
        ),
    ),
    'fullwidth-page' => array(
        'title'      => __( 'Fullwidth Page', kopa_get_domain() ),
        'thumbnails' => 'fullwidth-page.png',
        'positions'  => array(
            'position_2',
            'position_3',
            'position_4',
            'position_5'
        ),
    ),
    'sidebar-page' => array(
        'title'      => __( 'Page With Sidebar', kopa_get_domain() ),
        'thumbnails' => 'sidebar-page.png',
        'positions'  => array(
            'position_1',
            'position_2',
            'position_3',
            'position_4',
            'position_5'
        ),
    ),
    'single' => array(
        'title'      => __( 'Single', kopa_get_domain() ),
        'thumbnails' => 'single.png',
        'positions'  => array(
            'position_1',
            'position_2',
            'position_3',
            'position_4',
            'position_5'
        ),
    ),
    'error-404' => array(
        'title' => __( '404 Page', kopa_get_domain() ),
        'thumbnails' => 'error-404.png',
        'positions'  => array(
            'position_2',
            'position_3',
            'position_4',
            'position_5'
        ),
    ),
);

$kopa_sidebar_position = array(
    'position_1'  => array( 'title' => __( 'Widget Area 1', kopa_get_domain() ) ),
    'position_2'  => array( 'title' => __( 'Widget Area 2', kopa_get_domain() ) ),
    'position_3'  => array( 'title' => __( 'Widget Area 3', kopa_get_domain() ) ),
    'position_4'  => array( 'title' => __( 'Widget Area 4', kopa_get_domain() ) ),
    'position_5'  => array( 'title' => __( 'Widget Area 5', kopa_get_domain() ) ),
    'position_6'  => array( 'title' => __( 'Widget Area 6', kopa_get_domain() ) ),
    'position_7'  => array( 'title' => __( 'Widget Area 7', kopa_get_domain() ) ),
    'position_8'  => array( 'title' => __( 'Widget Area 8', kopa_get_domain() ) ),
    'position_9'  => array( 'title' => __( 'Widget Area 9', kopa_get_domain() ) )
);

$kopa_template_hierarchy = array(
    'home'       => array(
        'title'  => __( 'Home', kopa_get_domain() ),
        'layout' => array('blog-1')
    ),
    'post'       => array(
        'title'  => __( 'Post', kopa_get_domain() ),
        'layout' => array('single')
    ),
    'page'       => array(
        'title'  => __( 'Page', kopa_get_domain() ),
        'layout' => array('media-page', 'fullwidth-page', 'sidebar-page')
    ),
    'taxonomy'   => array(
        'title'  => __( 'Taxonomy', kopa_get_domain() ),
        'layout' => array('blog-1')
    ),
    'search'     => array(
        'title'  => __( 'Search', kopa_get_domain() ),
        'layout' => array('blog-1')
    ),
    'archive'    => array(
        'title'  => __( 'Archive', kopa_get_domain() ),
        'layout' => array('blog-1')
    ),
    '_404'    => array(
        'title'  => __( '404', kopa_get_domain() ),
        'layout' => array('error-404')
    )
);

define('KOPA_INIT_VERSION', 'karo-setting-version-01');
define('KOPA_LAYOUT', serialize($kopa_layout));
define('KOPA_SIDEBAR_POSITION', serialize($kopa_sidebar_position));
define('KOPA_TEMPLATE_HIERARCHY', serialize($kopa_template_hierarchy));
define('KOPA_DEFAULT_SETTING', serialize( array(
        'home' => array(
            'layout_id' => 'blog-1',
            'sidebars'  => array(
                'right_sidebar_for_blog',
                'footer_1',
                'footer_2',
                'footer_3',
                'footer_4'
            )
        ),
        'post' => array(
            'layout_id' => 'single',
            'sidebars'  => array(
                'right_sidebar_for_blog',
                'footer_1',
                'footer_2',
                'footer_3',
                'footer_4'
            )
        ),
        'page' => array(
            'layout_id' => 'sidebar-page',
            'sidebars'  => array(
                'right_sidebar_for_blog',
                'footer_1',
                'footer_2',
                'footer_3',
                'footer_4'
            )
        ),
        'taxonomy' => array(
            'layout_id' => 'blog-1',
            'sidebars'  => array(
                'right_sidebar_for_blog',
                'footer_1',
                'footer_2',
                'footer_3',
                'footer_4'
            )
        ),
        'search' => array(
            'layout_id' => 'blog-1',
            'sidebars'  => array(
                'right_sidebar_for_blog',
                'footer_1',
                'footer_2',
                'footer_3',
                'footer_4'
            )
        ),
        'archive' => array(
            'layout_id' => 'blog-1',
            'sidebars'  => array(
                'right_sidebar_for_blog',
                'footer_1',
                'footer_2',
                'footer_3',
                'footer_4'
            )
        ),
        '_404' => array(
            'layout_id' => 'error-404',
            'sidebars'  => array(
                'footer_1',
                'footer_2',
                'footer_3',
                'footer_4'
            )
        ),
) ) );
define('KOPA_DEFAULT_SIDEBAR', serialize( array(
    'sidebar_hide' => __( '-- None --', kopa_get_domain() ),
    'right_sidebar_for_blog'    => __( 'Right sidebar for blog', kopa_get_domain() ),
    'footer_1'    => __( 'Footer 1', kopa_get_domain() ),
    'footer_2'    => __( 'Footer 2', kopa_get_domain() ),
    'footer_3'    => __( 'Footer 3', kopa_get_domain() ),
    'footer_4'    => __( 'Footer 4', kopa_get_domain() ),
    'page_full_width_content_sidebar'    => __( 'Page full width content sidebar', kopa_get_domain() ),
    'page_left_content_sidebar'    => __( 'Page left content sidebar', kopa_get_domain() ),
    'page_right_content_sidebar'    => __( 'Page right content sidebar', kopa_get_domain() ),
    'page_middle_content_sidebar'   => __( 'Page middle content sidebar', kopa_get_domain() )
) ) );

//register dynamic widget areas
add_action('widgets_init', 'kopa_register_sidebar');
function kopa_register_sidebar() {
    $kopa_sidebar = kopa_get_option('kopa_sidebar', unserialize( KOPA_DEFAULT_SIDEBAR ));

    foreach ($kopa_sidebar as $key => $value) {
        if ('sidebar_hide' != $key) {
            register_sidebar(array(
                'name' => $value,
                'id' => $key,
                'before_widget' => '<div id="%1$s" class="widget %2$s">',
                'after_widget' => '</div>',
                'before_title' => '<h4 class="widget-title">
                                        <span class="bold-line"><span></span></span>
                                        <span class="solid-line"></span><span class="text-title">',
                'after_title' => '</span></h4>'
            ));
        }
    }
}

